# WARNING - Generated by {fusen} from /dev/flat_full.Rmd: do not edit by hand


#' Generate a density plot of gene counts
#'
#' This function generates a density plot of gene counts from mock data.
#'
#' @param mock_obj The mock data object containing gene counts.
#'
#' @return A ggplot2 density plot.
#'
#' @importFrom ggplot2 aes geom_density theme_bw ggtitle scale_x_log10 element_blank
#' @export
#'
#' @examples
#' mock_data <- list(counts = matrix(c(1, 2, 3, 4, 5, 6, 7, 8, 9), ncol = 3))
#' counts_plot(mock_data)
counts_plot <- function(mock_obj){

  counts <- unname(unlist(mock_obj$counts))
  p <- ggplot2::ggplot() +
      ggplot2::aes(x = "Genes", y = counts) +
      ggplot2::geom_point(position = "jitter", alpha = 0.6, size = 0.4, col = "#F0B27A") +
      ggplot2::geom_violin(fill = "#F8F9F9", alpha = 0.4) +
      ggplot2::stat_summary(fun = "mean", geom = "point", color = "#B63A0F", size = 5) +
      ggplot2::theme_bw() +
      ggplot2::ggtitle("Gene expression plot") +
      ggplot2::theme(axis.title.x =  ggplot2::element_blank())
  return(p)
}


