# WARNING - Generated by {fusen} from /dev/flat_full.Rmd: do not edit by hand


#' Compare the results of inference with the ground truth data.
#'
#' This function takes the data frames containing the inference results and the ground truth data
#' and generates a table to compare the inferred values with the expected values.
#'
#' @param tidy_tmb A data frame containing the results of inference.
#' @param df_ground_truth A data frame containing the ground truth data used for simulation.
#'
#' @return A data frame
#'
#' @examples
#' \dontrun{
#' inferenceToExpected_withFixedEff(tidy_tmb, df_ground_truth)
#' }
#'
#' @export
inferenceToExpected_withFixedEff <- function(tidy_tmb , df_ground_truth) {

  ## -- get data
  fixEff_dataInference  <- subsetFixEffectInferred(tidy_tmb)
  fixEff_dataActual <- getData2computeActualFixEffect(df_ground_truth)
  actual_intercept <- getActualIntercept(fixEff_dataActual)

  ## -- main = non interaction
  l_mainEffectTerm <- fixEff_dataInference$fixed_term$nonInteraction
  actual_mainFixEff <- getActualMainFixEff(l_mainEffectTerm, fixEff_dataActual, actual_intercept)

  ## -- interaction term
  l_interactionTerm <- fixEff_dataInference$fixed_term$interaction
  categorical_vars <- fixEff_dataActual$categorical_vars
  data <- fixEff_dataActual$data
  actualInteractionFixEff <- computeActualInteractionFixEff(l_interactionTerm, categorical_vars, data)

  ## -- rbind Interaction & Main
  actual_fixEff <- rbind(actual_mainFixEff , actualInteractionFixEff, actual_intercept )

  ## -- join inference & actual
  inference_fixEff <- fixEff_dataInference$data
  res <- join_dtf(inference_fixEff, actual_fixEff  ,  c("ID", "term"), c("geneID", "term"))
  return(res)
}

